Bug 2242693 - [abrt] kdenlive: QMapNode<QAdwaitaDecorations::ColorType, QColor>::doDestroySubTree(): kdenlive killed by SIGSEGV
Summary: [abrt] kdenlive: QMapNode<QAdwaitaDecorations::ColorType, QColor>::doDestroyS...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenlive
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Neal Gompa
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a6093f11171ba7b432775fbba73...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-08 06:56 UTC by eisuke1982
Modified: 2023-10-13 11:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.43 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: maps (3.97 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: limits (1.29 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: environ (2.05 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: open_fds (7.89 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: mountinfo (3.98 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: os_info (734 bytes, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: cpuinfo (3.31 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: core_backtrace (134.08 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: exploitable (130 bytes, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: var_log_messages (2.11 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details
File: backtrace (78.20 KB, text/plain)
2023-10-08 06:56 UTC, eisuke1982
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2243801 0 unspecified CLOSED ImageMagick rpm package needs rebuilding due to new LibRaw in CentOS 9 Stream 2023-10-27 02:19:08 UTC

Description eisuke1982 2023-10-08 06:56:08 UTC
Version-Release number of selected component:
kdenlive-23.08.1-1.fc38

Additional info:
reporter:       libreport-2.17.11
type:           CCpp
reason:         kdenlive killed by SIGSEGV
journald_cursor: s=8ea11c5d316746e0bbcb87734bc18348;i=64d772;b=4c2d7803e6f04c0e8e0efed67db2b8a0;m=45ae19fff;t=6072ec70d3ddd;x=b2cec0dca2fd9d81
executable:     /usr/bin/kdenlive
cmdline:        /usr/bin/kdenlive
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.kde.kdenlive-15823.scope
rootdir:        /
uid:            1000
kernel:         6.5.5-200.fc38.x86_64
package:        kdenlive-23.08.1-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/kdenlive kdenlive-23.08.1-1.fc38.x86_64 (Fedora Project) 1696659536
backtrace_rating: 4
crash_function: QMapNode<QAdwaitaDecorations::ColorType, QColor>::doDestroySubTree

Truncated backtrace:
Thread no. 0 (28 frames)
 #0 QMapNode<QAdwaitaDecorations::ColorType, QColor>::doDestroySubTree at /usr/include/qt5/QtCore/qmap.h:134
 #1 QMapNode<QAdwaitaDecorations::ColorType, QColor>::destroySubTree at /usr/include/qt5/QtCore/qmap.h:126
 #2 QMapData<QAdwaitaDecorations::ColorType, QColor>::destroy at /usr/include/qt5/QtCore/qmap.h:249
 #3 QMap<QAdwaitaDecorations::ColorType, QColor>::~QMap at /usr/include/qt5/QtCore/qmap.h:338
 #4 QMap<QAdwaitaDecorations::ColorType, QColor>::operator= at /usr/include/qt5/QtCore/qmap.h:349
 #5 QAdwaitaDecorations::updateColors at /usr/src/debug/qadwaitadecorations-0.1.2-1.fc38.x86_64/src/qadwaitadecorations.cpp:156
 #6 operator() at /usr/src/debug/qadwaitadecorations-0.1.2-1.fc38.x86_64/src/qadwaitadecorations.cpp:124
 #7 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<QDBusPendingCallWatcher*>, void, QAdwaitaDecorations::initConfiguration()::<lambda(QDBusPendingCallWatcher*)> >::call at /usr/include/qt5/QtCore/qobjectdefs_impl.h:146
 #8 QtPrivate::Functor<QAdwaitaDecorations::initConfiguration()::<lambda(QDBusPendingCallWatcher*)>, 1>::call<QtPrivate::List<QDBusPendingCallWatcher*>, void> at /usr/include/qt5/QtCore/qobjectdefs_impl.h:256
 #9 QtPrivate::QFunctorSlotObject<QAdwaitaDecorations::initConfiguration()::<lambda(QDBusPendingCallWatcher*)>, 1, QtPrivate::List<QDBusPendingCallWatcher*>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:443
 #10 QtPrivate::QSlotObjectBase::call at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
 #11 doActivate<false> at kernel/qobject.cpp:3925
 #12 QMetaObject::activate at kernel/qobject.cpp:3985
 #13 QDBusPendingCallWatcher::finished at .moc/moc_qdbuspendingcall.cpp:158
 #14 QObject::event at kernel/qobject.cpp:1347
 #15 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3640
 #16 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1064
 #17 QCoreApplication::sendEvent at kernel/qcoreapplication.cpp:1462
 #18 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1821
 #19 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1680
 #20 postEventSourceDispatch at kernel/qeventdispatcher_glib.cpp:277
 #23 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #24 g_main_context_iteration at ../glib/gmain.c:4343
 #25 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:423
 #26 QEventLoop::exec at ../../include/QtCore/../../src/corelib/global/qflags.h:69
 #27 QCoreApplication::exec at ../../include/QtCore/../../src/corelib/global/qflags.h:121
 #28 QGuiApplication::exec at kernel/qguiapplication.cpp:1863
 #29 QApplication::exec at kernel/qapplication.cpp:2832

Comment 1 eisuke1982 2023-10-08 06:56:11 UTC
Created attachment 1992902 [details]
File: proc_pid_status

Comment 2 eisuke1982 2023-10-08 06:56:13 UTC
Created attachment 1992903 [details]
File: maps

Comment 3 eisuke1982 2023-10-08 06:56:14 UTC
Created attachment 1992904 [details]
File: limits

Comment 4 eisuke1982 2023-10-08 06:56:15 UTC
Created attachment 1992905 [details]
File: environ

Comment 5 eisuke1982 2023-10-08 06:56:17 UTC
Created attachment 1992906 [details]
File: open_fds

Comment 6 eisuke1982 2023-10-08 06:56:18 UTC
Created attachment 1992907 [details]
File: mountinfo

Comment 7 eisuke1982 2023-10-08 06:56:19 UTC
Created attachment 1992908 [details]
File: os_info

Comment 8 eisuke1982 2023-10-08 06:56:21 UTC
Created attachment 1992909 [details]
File: cpuinfo

Comment 9 eisuke1982 2023-10-08 06:56:22 UTC
Created attachment 1992910 [details]
File: core_backtrace

Comment 10 eisuke1982 2023-10-08 06:56:24 UTC
Created attachment 1992911 [details]
File: exploitable

Comment 11 eisuke1982 2023-10-08 06:56:25 UTC
Created attachment 1992912 [details]
File: var_log_messages

Comment 12 eisuke1982 2023-10-08 06:56:27 UTC
Created attachment 1992913 [details]
File: backtrace

Comment 13 Sergio Basto 2023-10-13 11:19:25 UTC
see also https://bugzilla.redhat.com/show_bug.cgi?id=2243801


Note You need to log in before you can comment on or make changes to this bug.